Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.gui.stepsettings
Class OutputEditor

    java.lang.Object
      javax.swing.AbstractCellEditor
          javax.swing.DefaultCellEditor
              edu.udo.cs.miningmart.gui.stepsettings.ParameterEditor
                  edu.udo.cs.miningmart.gui.stepsettings.OutputEditor

All Implemented Interfaces:
  java.io.Serializable, javax.swing.CellEditor, javax.swing.table.TableCellEditor, javax.swing.table.TableCellRenderer, javax.swing.tree.TreeCellEditor

    public class OutputEditor

extends ParameterEditor

An editor for output parameter

Version:
  $Id: OutputEditor.java,v 1.7 2006/09/27 14:59:58 euler Exp $
Author:
  Daniel Hakenjos
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.DefaultCellEditor
`javax.swing.DefaultCellEditor.EditorDelegate`

Field Summary

Fields inherited from class edu.udo.cs.miningmart.gui.stepsettings.ParameterEditor
`app, editable, loopnumber, numberofloops, oldparamcollections, opParam, paramcollections, step`

Fields inherited from class javax.swing.DefaultCellEditor
`clickCountToStart, delegate, editorComponent`

Fields inherited from class javax.swing.AbstractCellEditor
`changeEvent, listenerList`

Constructor Summary
`OutputEditor(MiningMartApplication app, Step step, OpParam opParam)`

Method Summary
`boolean` | `existsOutput()` Checks wether the output exists or not.
`void` | `init()` Inits this editor for the current loopnumber.
`void` | `setEditable()` Sets the editable-flag.
`boolean` | `stopCellEditing()`

Methods inherited from class edu.udo.cs.miningmart.gui.stepsettings.ParameterEditor
`addChangeListener, cancelEditing, fireStateChanged, getAllParameterCollections, getChangeListener, getChangeListenerCount, getLoopNumber, getNumberOfLoops, getParameterCollection, getParameterCollection, getTableCellRendererComponent, getTheOpParam, makeOutput, removeAllChangeListener, removeChangeListener, setCollectionsInStep, setLoopNumber, setNumberOfLoops, setParameterCollection, setParameterCollection`

Methods inherited from class javax.swing.DefaultCellEditor
`cancelCellEditing, getCellEditorValue, getClickCountToStart, getComponent, getTableCellEditorComponent, getTreeCellEditorComponent, isCellEditable, setClickCountToStart, shouldSelectCell`

Methods inherited from class javax.swing.AbstractCellEditor
`addCellEditorListener, fireEditingCanceled, fireEditingStopped, getCellEditorListeners, removeCellEditorListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, removeCellEditorListener`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, removeCellEditorListener`

Constructor Detail

### OutputEditor

    public OutputEditor(MiningMartApplication app,
                        Step step,
                        OpParam opParam)

Method Detail

### init

    public void init()

  Description copied from class: `ParameterEditor`
  Inits this editor for the current loopnumber. This method is useful in subclasses to set the text or list.

  Overrides:
    `init` in class `ParameterEditor`

### stopCellEditing

    public boolean stopCellEditing()

  Specified by:
    `stopCellEditing` in interface `javax.swing.CellEditor`
  Overrides:
    `stopCellEditing` in class `javax.swing.DefaultCellEditor`
  See Also:
    `CellEditor.stopCellEditing()`

### existsOutput

    public boolean existsOutput()

  Description copied from class: `ParameterEditor`
  Checks wether the output exists or not. If it is an input parameter then it returns false. Otherwise if all `Collection`s of the old Parameters are null or empty then the ouput doesn't exists.

  Overrides:
    `existsOutput` in class `ParameterEditor`

### setEditable

    public void setEditable()

  Description copied from class: `ParameterEditor`
  Sets the editable-flag.

  Overrides:
    `setEditable` in class `ParameterEditor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005